# shoutsms

A new flutter plugin project.

## Getting Started

This project is a starting point for a Flutter
[plug-in package](https://flutter.dev/developing-packages/),
a specialized package that includes platform-specific implementation code for
Android and/or iOS.

For help getting started with Flutter, view our
[online documentation](https://flutter.dev/docs), which offers tutorials,
samples, guidance on mobile development, and a full API reference.

## Using

The easiest way to use this library is via the top-level functions

```dart
import 'package:shoutsms/shoutsms.dart';

vreturn MaterialApp(
      home: Scaffold(
          key: _scaffoldKey,
          appBar: AppBar(
            title: const Text('Plugin example app'),
          ),
          body: Center(
            child: TextButton(
              style: TextButton.styleFrom(
                textStyle: const TextStyle(fontSize: 20),
              ),
              onPressed: () async {
                await Shoutsms.call(
                        destination: "94XXXXXXX",
                        code: "9890",
                        customMessage: "Your verification sms cose is",
                        apiKey:
                            "MshoutOutAPIKEY")
                    .then((value) {
                  if (value?.statusCode == 200) {
                    print('Code has been sent successfully');
                  } else {
                    print('Code has send failed');
                  }
                });
              },
              child: const Text('Send SMS'),
            ),
          )),
    );
```

## Register with shoutout
https://getshoutout.com/

